.root {
  display: grid;
  grid-template-areas: 
    "image-content"
    "text-content";
}

.container {
  composes: container from global;

  --button-height: 100px;
  --section-padding: 2.5em;

  /* position: relative; */
  display: grid;
  grid-area: text-content;
  grid-template-areas: 
    "button"
    "text";
}

.img-wrapper {
  grid-area: image-content;
  height: 532px;
}

.img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.content {
  grid-area: text;
  margin-top: calc(var(--button-height) + var(--section-padding));
}

.contentNarrow {
  composes: container-narrow from global;

  padding-left: 0;
  padding-right: 0;
}

.button-wrapper {
  position: absolute;
  left: 0;
  grid-area: button;
  min-width: 100%;
}

.button-wrapper a {
  min-width: 100%;
}

@media (min-width: 576px) {
  .container {
    --button-height: 112px;
  }
}

@media (min-width: 768px) {
  .img-wrapper {
    height: 600px;
  }

  .container {
    --button-height: 124px;
    --section-padding: 3em;

    position: relative;
  }

  .content {
    margin-top: calc((var(--button-height)/2) + var(--section-padding));
  }
  
  .button-wrapper {
    top: calc(var(--button-height)/-2);
    z-index: 2;
    left: auto;
    min-width: auto;
  }

  .button-wrapper a {
    min-width: auto;
  }
}

@media (min-width: 992px) {
  .img-wrapper {
    height: 670px;
  }

  .container {
    --button-height: 136px;
  }
}

@media (min-width: 1200px) {
  .img-wrapper {
    height: 730px;
  }

  .container {
    --button-height: 148px;
    --section-padding: 4em;
  }
}

@media (min-width: 1400px) {
  .img-wrapper {
    height: 800px;
  }

  .container {
    --button-height: 160px;
    --section-padding: 5em;
  }
}
